# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.455   -> 1.456  
#	drivers/usb/class/printer.c	1.25    -> 1.26   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/11	greg@kroah.com	1.456
# USB: printer fix as found by the CHECKER tool.
# 
# pay attention to return value of usb_submit_urb as found by the CHECKER tool.
# --------------------------------------------
#
diff -Nru a/drivers/usb/class/printer.c b/drivers/usb/class/printer.c
--- a/drivers/usb/class/printer.c	Tue Jun 11 14:58:39 2002
+++ b/drivers/usb/class/printer.c	Tue Jun 11 14:58:39 2002
@@ -722,7 +722,8 @@
 			usblp->minor, usblp->readurb->status);
 		usblp->readurb->dev = usblp->dev;
  		usblp->readcount = 0;
-		usb_submit_urb(usblp->readurb, GFP_KERNEL);
+		if (usb_submit_urb(usblp->readurb, GFP_KERNEL) < 0)
+			dbg("error submitting urb"); 
 		count = -EIO;
 		goto done;
 	}
